# Simple Animations - Documentation

Simple Animations is a Flutter package that introduces new widgets and 
classes to simplify the creation of beautiful custom animations.

## The magic

*Simple Animation enhances your development with*

- [**AnimationControllerX**](ANIMATION_CONTROLLER_X.md) a powerful implementation of an `AnimationController`

- [**ControlledAnimation**](CONTROLLED_ANIMATION.md),
  a widget that allows you to create a custom animation in very simple way.

- [**MultiTrackTween**](MULTI_TRACK_TWEEN.md),
  an `Animateable` that tweens multiple properties in one unified tween.

- [**Rendering**](RENDERING.md), a widget for creating continuous
  animations.

## Getting started

Setting up *simple_animation* is very easy:

- Add a dependency to the latest version of `simple_animations`: [latest version](https://pub.dev/packages/simple_animations#-installing-tab-).

- Add an import where you want to use *simple_animations*:
    ```dart
    import 'package:simple_animations/simple_animations.dart';
    ```

- Write beautiful custom animations with ease!

## Learn

Extend your knowledge about Flutter animations with *simple_animations*:

- Take a look at the [Simple Animations Example App](https://github.com/felixblaschke/simple_animations/tree/master/example). 
It contains a lot of animation demonstrations to learn from.

- Read some [articles and tutorials](ARTICLES.md)
  about using *Simple Animations*.
 


